Job updates
curl --request GET \
--url https://api.sortx.co.uk/p/:tenant/contractor/jobs/{id}/updatesconst options = {method: 'GET'};
fetch('https://api.sortx.co.uk/p/:tenant/contractor/jobs/{id}/updates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/p/:tenant/contractor/jobs/{id}/updates"
response = requests.get(url)
print(response.text)[
{
"id": "<string>",
"kind": "<string>",
"visitStartsAt": "<string>",
"expectedAt": "<string>",
"note": "<string>",
"outcome": "<string>",
"workDone": "<string>",
"materials": "<string>",
"followUpNeeded": true,
"followUpNote": "<string>",
"photoAttachmentIds": [
"<string>"
],
"occurredAt": "<string>",
"recordedAt": "<string>",
"reasons": [
"<string>"
]
}
]{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}maintenance-pro-contractor
Job updates
Every arrival update and completion report sent about one job
GET
/
p
/
:tenant
/
contractor
/
jobs
/
{id}
/
updates
Job updates
curl --request GET \
--url https://api.sortx.co.uk/p/:tenant/contractor/jobs/{id}/updatesconst options = {method: 'GET'};
fetch('https://api.sortx.co.uk/p/:tenant/contractor/jobs/{id}/updates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/p/:tenant/contractor/jobs/{id}/updates"
response = requests.get(url)
print(response.text)[
{
"id": "<string>",
"kind": "<string>",
"visitStartsAt": "<string>",
"expectedAt": "<string>",
"note": "<string>",
"outcome": "<string>",
"workDone": "<string>",
"materials": "<string>",
"followUpNeeded": true,
"followUpNote": "<string>",
"photoAttachmentIds": [
"<string>"
],
"occurredAt": "<string>",
"recordedAt": "<string>",
"reasons": [
"<string>"
]
}
]{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}Path Parameters
Response
Success